/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "testscene.h"

void testSceneInit(testscene_t *scene, game_t *game) {
  assetFontLoad(&scene->font, "fonts/opensans/OpenSans-Bold.ttf");
  assetShaderLoad(&scene->shader,
    "shaders/textured.vert", "shaders/textured.frag"
  );
}

void testSceneRender(testscene_t *scene, game_t *game) {
  cameraLookAt(&scene->camera,
    0.5, 0.5, 0.75,
    0.5, 0.5, -0.5
  );
  cameraPerspective(&scene->camera, 75,
    game->engine.render.width/game->engine.render.height, 0.01, 1000.0
  );

  shaderUse(&scene->shader);
  shaderUseCamera(&scene->shader, &scene->camera);
}